# Copyright (c) 2022 Qualcomm Innovation Center, Inc. All rights reserved.

# Redistribution and use in source and binary forms, with or without
# modification, are permitted (subject to the limitations in the
# disclaimer below) provided that the following conditions are met:

#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.

#    * Redistributions in binary form must reproduce the above
#      copyright notice, this list of conditions and the following
#      disclaimer in the documentation and/or other materials provided
#      with the distribution.

#    * Neither the name of Qualcomm Innovation Center, Inc. nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.

# NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE
# GRANTED BY THIS LICENSE. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
# HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#!/bin/bash

[Unit]
Description= Load eva dlkm service
SourcePath=/etc/initscripts/start_eva_le

[Service]
Restart=on-failure
RemainAfterExit=yes
# This service file has no binary and it is to execute the list of commands in <script>.
# Use Script file only when there is NO binary or commands to be executed/ modules to be installed cases.
# ExecStart=/bin/bash /etc/initscripts/start_eva_le start
ExecStart=/bin/bash -c "/etc/initscripts/start_eva_le start && test -f /sys/devices/virtual/cvp/cvp/boot && echo 1 > /sys/devices/virtual/cvp/cvp/boot"
ExecStop=/bin/bash /etc/initscripts/start_eva_le stop

[Install]
WantedBy=multi-user.target
